Unit Unit1;

{$MODE objfpc}{$H+}

Interface

Uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls,
  IniPropStorage, IpHtml, Ipfilebroker, SynEdit, SynHighlighterHTML;

Type

  { TForm1 }

  TForm1 = Class(TForm)
    Button1: TButton;
    Button2: TButton;
    IniPropStorage1: TIniPropStorage;
    IpHtmlPanel1: TIpHtmlPanel;
    SynEdit1: TSynEdit;
    SynHTMLSyn1: TSynHTMLSyn;
    Procedure Button1Click(Sender: TObject);
    Procedure Button2Click(Sender: TObject);
    Procedure FormCreate(Sender: TObject);
    Procedure FormShow(Sender: TObject);
  private

  public

  End;

Var
  Form1: TForm1;
  Form1ShowOnce: Boolean = true;

Implementation

{$R *.lfm}

{ TForm1 }

Procedure TForm1.Button1Click(Sender: TObject);
Begin
  Close;
End;

Procedure TForm1.Button2Click(Sender: TObject);
Begin
  IpHtmlPanel1.SetHtmlFromStr(SynEdit1.Text);
End;

Procedure TForm1.FormCreate(Sender: TObject);
Begin
  (*
   * Historie: 0.01 = Initialversion
   *           0.02 = Switch lhtml -> Thtmlviewer
   *)
  caption := 'HTML-Renderer ver 0.02';
End;

Procedure TForm1.FormShow(Sender: TObject);
Begin
  If Form1ShowOnce Then Begin
    Form1ShowOnce := false;
    // Init  ;)
    If trim(SynEdit1.Text) = '' Then Begin
      SynEdit1.Text :=
        '<!DOCTYPE html>' + LineEnding +
        '<html>' + LineEnding +
        '<body>' + LineEnding +
        '' + LineEnding +
        '<a href="#" title="This is aTooltip">This is a Text</span>' + LineEnding +
        '<br><br>Das ist das Bild eines Schlüssels:  &#x1F511; <br>' + LineEnding +
        '' + LineEnding +
        '</body>' + LineEnding +
        '</html>';
      Button2.Click;
    End;
  End;
End;

{
procedure TForm1.HtmlViewer1HotSpotClick(Sender: TObject; const SRC: ThtString;
  var Handled: Boolean);
begin
  showmessage(src);
end;
}

End.

